package com.truckitin.core.enums

import androidx.annotation.Keep


@Keep
enum class MessageType(val id: Int) {
    SIMPLE_MESSAGE(1),
    SHIPMENT_CREATED(2),
    SHIPMENT_DISPATCH_STARTED(3),
    SHIPMENT_IN_TRANSIT(4),
    SHIPMENT_DELIVERED(5),
    DRIVER_AND_VEHICLE_ASSIGNMENT(6),
    TRIP_COMPLETED_SHIPPER(7),
    TRIP_COMPLETED_PARTNER(8),
    SHIPMENT_CANCELLATION(9),
    BOOKING_CANCELLATION(10),
    FORGOT_PASSWORD(11),
    BID_CANCELLATION(12),
    BOOKING_CREATED(13),
    BOOKING_BID_ASSIGNED(14),
    BOOKING_ACKNOWLEDGED(15),
    BOOKING_LEFT_FOR_LOADING(16),
    BOOKING_ARRIVED_FOR_LOADING(17),
    BOOKING_LOADING_COMPLETED(19),
    BOOKING_LEFT_FOR_DROPOFF(20),
    BOOKING_ARRIVED_AT_DROPOFF(21),
    BOOKING_UNLOADING_STARTED(22),
    BOOKING_LOADING_STARTED(18),
    BOOKING_UNLOADING_COMPLETED(23),
    BOOKING_COMPLETED(24),
    BOOKING_CANCELLED(25),
    BID_CREATED(26),
    OTP_MESSAGE(27),
    BID_REJECTED(28),
    BID_ACKNOWLEDGED(29),
    LEDGER_AMOUNT_LENDER(30),
    LEDGER_AMOUNT_BORROWER(31),
    LEDGER_AMOUNT_PAYEE(32),
    LEDGER_AMOUNT_PAYER(33),
    SHIPMENT_COMPLETION(34),
    LEDGER_TRANSACTION_DELETED(35),
    BANK_ACCOUNT_VERIFICATION(36),
    PREFERRED_SHIPMENT_CREATED(41),
    PARTNER_ADDED_BY_DEMAND_ADDA(43),
    BID_COUNTER_OFFER_RECEIVED(44),
    BID_ACCEPTED(47);
}